VersionException (Apache Geode 1.15.4)

org.apache.geode.cache

## Class VersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.cache.VersionException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IncompatibleVersionException, UnsupportedVersionException

      public abstract class VersionException
      extends GemFireCheckedException

  An `VersionException` is an exception that indicates a client / server version mismatch exception has occurred.
  Since:
    GemFire 5.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionException()` Constructs a new `VersionException`.
    `VersionException(String s)` Constructs a new `VersionException` with a message string.
    `VersionException(String s, Throwable cause)` Constructs a `VersionException` with a message string and a base exception
    `VersionException(Throwable cause)` Constructs a `VersionException` with a cause

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionException

          public VersionException()

      Constructs a new `VersionException`.

    - #### VersionException

          public VersionException(String s)

      Constructs a new `VersionException` with a message string.
      Parameters:
        `s` - the detail message

    - #### VersionException

          public VersionException(String s,
                                  Throwable cause)

      Constructs a `VersionException` with a message string and a base exception
      Parameters:
        `s` - the detail message
        `cause` - the cause

    - #### VersionException

          public VersionException(Throwable cause)

      Constructs a `VersionException` with a cause
      Parameters:
        `cause` - the cause